#{extends 'common/frontend-admin.html' /}
#{set 'title'}
<h1>Manajemen Tableau Library</h1>
#{/set}
#{common.alert /}
<div class="container-fluid container-fixed-lg bg-white">
    <a href="#{url route.cms_tableau_tableaucontroller_insert /}" class="btn btn-complete btn-teal-monev btn-cons"><i class="fa fa-plus"></i> Tambah Library</a>
    <div class="card card-transparent">
        <div class="card-body">

            <table id="table-library" class="table table-hover demo-table-dynamic table-responsive-block">
                <thead>
                <tr>
                    <th>No</th>
                    <th>Name</th>
                    <th>Description</th>
                    <th>Url</th>
                    <th>Untuk KLPD</th>
                    <th>Dibuat Pada</th>
                    <th>Dibuat Oleh</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody></tbody>
            </table>
        </div>
    </div>

</div>


#{set 'moreStyles'}
<style>
    table.dataTable td {
        word-break: break-word;
    }
</style>
#{/set}
#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function() {
        (function($) {
    'use strict';
    var responsiveHelper = undefined;
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };
    var initTable = function() {
        var settings = {
            "searching": true,
            "pageLength": 10,
            "ordering": true,
            "serverSide": true,
            "ajax": {
                url:"#{url route.cms_tableau_tableauapicontroller_libraries /}",
                dataSrc: 'data'
            },
            "sDom": "<'row'<f l>><t><'row'<p i>>",
            "aoColumnDefs": [
				{"sWidth": "5%", "aTargets": [0], 'orderable': true },
				{"sWidth": "15%", "aTargets": [1] },
				{"sWidth": "15%", "aTargets": [2], 'orderable': false },
				{"sWidth": "30%", "aTargets": [3], 'orderable': false },
               {"sWidth": "5%", "aTargets": [4], 'orderable': false  },
				{"sWidth": "15%", "aTargets": [5] },
                {"sWidth": "10%", "aTargets": [6], 'orderable': false   },
                {"sWidth": "5%", "aTargets": [7], 'orderable': false },
			],
			columns: [
				{
                    data: null,
                    render: function(data, type, row) {
                        return data[0]
                    }
                }, null, null,
				{
                    data: null,
                    render: function(data, type, row) {
                        return data[6]
                    }
                },
                {
                    data: null,
                    render: function(data, type, row) {
                        return data[7]
                    }
                },
                {
                    data: null,
                    render: function(data, type, row) {
                        return data[5]
                    }
                },
                {
                    data: null,
                    render: function(data, type, row) {
                        return data[8]
                    }
                },
                {
                    data: null,
                    render: function (data, type, row) {
                        return '<div class="btn-group">' +
                                    '<button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-expanded="false">Action ' +
                                        '<span class="sr-only">Toggle Dropdown</span></button>'+
                                    '<ul class="dropdown-menu" role="menu">' +
                                    '<li><a href="' + data[3] + '">Edit</a></li>' +
                                    '<li class="divider"></li><li><a href="' + data[4] + '" class="delete">Delete</a></li>' +
                                    '</ul></div>';
                    }
                }
			]
        };
        var table = $('#table-library').DataTable(settings);
        $(".dataTables_filter input")
            .unbind()
            .bind('keyup change', function(e) {
                if (e.keyCode === 13 || this.value === "") {
                    table.clear()
                    table
                        .search( this.value )
                        .draw();
                }
            });
        $('#search-table').keyup(function() {
            table.fnFilter($(this).val());
        });
    }
    initTable();
})(window.jQuery);
    })
</script>
#{/set}